6.0.0-git
2019-05-19

[#10922] Traditional mode Virtual Inbox decrement issue
Summary Traditional mode Virtual Inbox decrement issue
Queue IMP
Queue Version 5.0.17
Type Bug
State Resolved
Priority 1. Low
Owners
Requester jbesko (at) msu (dot) edu
Created 2012-01-12 (2684 days ago)
Due
Updated 2013-11-13 (2013 days ago)
Assigned 2012-06-16 (2528 days ago)
Resolved 2013-11-13 (2013 days ago)
Milestone
Patch No

History
2013-11-13 04:01:19 Michael Slusarz Comment #7
State ⇒ Resolved
Reply to this comment
Marking as resolved.  Nobody has mentioned this as an issue in IMP 6.
2012-08-29 23:41:32 Michael Slusarz Comment #6
Taken from Michael Slusarz
State ⇒ Stalled
Reply to this comment
Stalling this.  I don't have time to track down in IMP 5, and search 
mailbox access has already been rewritten for IMP 6.
2012-06-16 17:55:46 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2012-02-27 15:31:15 jbesko (at) msu (dot) edu Comment #5
New Attachment: horde ticket 10922 - all snap shots.odg Download
Reply to this comment

[Show Quoted Text - 12 lines]
I don't think this is the same thing that you reproduce.  I've 
attached some snapshots of the start of the virtual inbox, the status 
bar showing each message, and the final screen shot is of what should 
have been the fourth message, but ends up being a recalculation of the 
virtual inbox, instead of the expected fourth message.

By the way, the description I gave is probably inaccurate and probably 
*not* helping identify the real problem.

2012-02-15 09:10:38 Michael Slusarz Comment #4 Reply to this comment
I can't reproduce.  Here's what I did:

Placed 4 messages in a mailbox.
Marked 3 messages as seen.
Opened Virtual Inbox.
Opened first message.
Marked the 4th message as unseen using another IMAP client.
Deleted first message.
Deleted second message.
Mailbox was re-indexed and I was viewing message (1 of 2).

Tested with both IMP 5.0.19 (git master) and IMP 5.1 (git develop)
2012-01-16 15:23:59 jbesko (at) msu (dot) edu Comment #3 Reply to this comment

[Show Quoted Text - 11 lines]
Agreed that we'd want to re-index itself, but the problem is, I want 
to be able to *read* the last message before the re-indexing takes 
place, not when there are no more new messages.  Let me try to try to 
restate the problem:

I have messages a,b,c in the virtual inbox.
I read, then delete message a, but in the mean time, message d arrives.
I read message b and delete it.
The virtual inbox recalculates itself and I am brought to message d, 
instead of c.  (IMP 4 would have gone to message c, then recalculated 
the index then regenerated the inbox).
I delete message d, then message c is displayed.

I can consistently reproduce this when deleting the second to last 
message in the virtual and I get new messages before getting to the 
last message.

2012-01-16 04:56:04 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
IMP Traditional mode, viewing email via virtual inbox:

While reading/deleting mail and getting down to the last 2 messages 
*and* having new mail come in before deleting the second to last 
message (i.e. so there are only 2 messages left), the virtual inbox 
reloads with all the new incoming messages, never getting to the 
last message in the virtual inbox.  If I get all the way through the 
virtual inbox messages, then I do get to the last message.
I believe this is the expected behavior.  A mailbox will re-index 
itself when it hits the last message of the mailbox.
When using IMP v4, I could read all the messages I started with, and 
then when I got to the last message, it would display all the new 
messages that had arrived while I was reading the last group.
Now that I am thinking about this ... I'm not sure this is correct 
behavior.  We have changed search mailbox behavior in dynamic view to 
NEVER update the mailbox until the user explicitly refreshes the view. 
  This allows the user to peruse the mailbox at their leisure, and 
then perform batch operations at the mailbox level when done, without 
worrying that messages will "disappear" because they are no longer 
marked as unseen.

We should have consistent behavior between traditional view and 
dynamic view.  And that behavior should be like the dynamic view 
rather than the traditional view.  In which case, the activity 
described here is incorrect.
2012-01-12 19:59:10 jbesko (at) msu (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Traditional mode Virtual Inbox decrement issue
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment

IMP Traditional mode, viewing email via virtual inbox:

While reading/deleting mail and getting down to the last 2 messages 
*and* having new mail come in before deleting the second to last 
message (i.e. so there are only 2 messages left), the virtual inbox 
reloads with all the new incoming messages, never getting to the last 
message in the virtual inbox.  If I get all the way through the 
virtual inbox messages, then I do get to the last message.

So for instance, let's say I start with 10 messages in my virtual 
inbox, I've read/deleted 2 messages, then 2 new messages come in.  The 
virtual inbox will tell me I am reading 1 of 8 messages 
(normal/expected behavior for IMP v4 and v5), but when I get down to 1 
or 2 messages and delete the current message, it will put the 2 new 
messages in the virtual inbox and tell me there are 1 of 3 messages in 
the virtual inbox.  If I do not delete the second to last message, but 
just move on to the last message, things work fine.

When using IMP v4, I could read all the messages I started with, and 
then when I got to the last message, it would display all the new 
messages that had arrived while I was reading the last group.

The problem is not a big problem, just a minor annoyance.

Saved Queries